<template>
	<div class="chartCon" @click="toParentPage">
		<div class="chartItem">
			<ac-input id="AcInput0" ref="AcInput0"></ac-input>
		</div>
		<div class="chartItem">
			<ac-input id="AcInput1" ref="AcInput1"></ac-input>
		</div>
		<div class="chartItem">
			<ac-input id="AcInput2" ref="AcInput2"></ac-input>
		</div>
		<div class="chartItem">
			<ac-input id="AcInput3" ref="AcInput3"></ac-input>
		</div>
	</div>
</template>

<script>
import {
	powerAlarmAcInput
} from '@/assets/js/api'
import AcInput from './AcInput.vue'
export default {
	components: {
		AcInput
	},
	data() {
		return {}
	},
	mounted() {

	},
	methods: {
		toParentPage() {
			window.parent.parent.postMessage({
				cmd: "syncPage",
				params: {
					pageInfo: {
						label: "电源实时告警",
						name: "powerRealtimeInfo",
						src: "#/powerRealtimeInfo",
						closable: true
					},
				}
			}, "*");
		},
		setData(data) {
			this.$nextTick(() => {
				if (data) {
					data.map((item, i) => {
						let chart = this.$refs[`AcInput${i}`];
						chart.setData(item);
						chart.resize();
					})
				} else {
					this.postData()
					setInterval(() => {
						this.postData()
					}, 3000)
				}

			})
		},
		postData() {
			let userId = localStorage.getItem('userId');
			let params = {
				userId: userId
			}
			powerAlarmAcInput(params).then((res) => {
				if (res.data.code == 1) {
					let optionData = [{
						title: '熔丝告警',
						data: 56,
						acColor: '#813a74',
						resColor: '#ff649d',
					}, {
						title: '跳闸',
						data: 12,
						acColor: '#287878',
						resColor: '#5adfaa',
					}, {
						title: '频率异常',
						data: 21,
						acColor: '#2388a6',
						resColor: '#43f9fd',
					}, {
						title: '三相不平衡',
						data: 8,
						acColor: '#7f3a29',
						resColor: '#fc5f02',
					}]
					let resData = res.data.data;
					for (let key in resData) {
						optionData.map(item => {
							if (item.title == key) {
								item.data = resData[key]
							}
						})
					}
					optionData.map((item, i) => {
						let chart = this.$refs[`AcInput${i}`];
						chart.setData(item);
						chart.resize();
					})
				}
			}).catch((err) => {
				console.log(err)
			});
		},
		resize() {
			this.$refs.AcInput0.resize();
			this.$refs.AcInput1.resize();
			this.$refs.AcInput2.resize();
			this.$refs.AcInput3.resize();
		}
	}
}
</script>

<style scoped>
.chartCon {
	width: 100%;
	height: 100%;
	box-sizing: border-box;
}

.chartCon .chartItem {
	width: 50%;
	height: 50%;
	float: left;
	position: relative;
}
</style>